changeset 2790:48ae1d50d393

8186115: libelf still referenced after 8172670 Reviewed-by: kvn, twisti, erikj, dholmes
author bobv
date Mon, 21 Aug 2017 12:08:03 -0400
parents 63cc2efbe579
children f10b706d5c33 e1a01c4d08b2
files common/autoconf/configure.ac common/autoconf/generated-configure.sh common/autoconf/help.m4 common/doc/building.html common/doc/building.md make/devkit/Tools.gmk
diffstat 6 files changed, 3 insertions(+), 36 deletions(-) [+]
line wrap: on
line diff
--- a/common/autoconf/configure.ac	Fri Aug 18 18:39:35 2017 +0200
+++ b/common/autoconf/configure.ac	Mon Aug 21 12:08:03 2017 -0400
@@ -223,7 +223,7 @@
 LIB_DETERMINE_DEPENDENCIES
 LIB_SETUP_LIBRARIES
 
-# Hotspot setup depends on lib checks (AOT needs libelf).
+# Hotspot setup depends on lib checks.
 
 HOTSPOT_SETUP_JVM_FEATURES
 
--- a/common/autoconf/generated-configure.sh	Fri Aug 18 18:39:35 2017 +0200
+++ b/common/autoconf/generated-configure.sh	Mon Aug 21 12:08:03 2017 -0400
@@ -4213,8 +4213,6 @@
       PKGHANDLER_COMMAND="sudo apt-get install ccache" ;;
     dtrace)
       PKGHANDLER_COMMAND="sudo apt-get install systemtap-sdt-dev" ;;
-    elf)
-      PKGHANDLER_COMMAND="sudo apt-get install libelf-dev" ;;
   esac
 }
 
@@ -4234,8 +4232,6 @@
       PKGHANDLER_COMMAND="sudo yum install libXtst-devel libXt-devel libXrender-devel libXi-devel" ;;
     ccache)
       PKGHANDLER_COMMAND="sudo yum install ccache" ;;
-    elf)
-      PKGHANDLER_COMMAND="sudo yum install elfutils-libelf-devel" ;;
   esac
 }
 
@@ -5155,7 +5151,7 @@
 #CUSTOM_AUTOCONF_INCLUDE
 
 # Do not change or remove the following line, it is needed for consistency checks:
-DATE_WHEN_GENERATED=1503074369
+DATE_WHEN_GENERATED=1503331667
 
 ###############################################################################
 #
@@ -65605,7 +65601,7 @@
 
 
 
-# Hotspot setup depends on lib checks (AOT needs libelf).
+# Hotspot setup depends on lib checks.
 
 
   # The user can in some cases supply additional jvm features. For the custom
--- a/common/autoconf/help.m4	Fri Aug 18 18:39:35 2017 +0200
+++ b/common/autoconf/help.m4	Mon Aug 21 12:08:03 2017 -0400
@@ -123,8 +123,6 @@
       PKGHANDLER_COMMAND="sudo apt-get install ccache" ;;
     dtrace)
       PKGHANDLER_COMMAND="sudo apt-get install systemtap-sdt-dev" ;;
-    elf)
-      PKGHANDLER_COMMAND="sudo apt-get install libelf-dev" ;;
   esac
 }
 
@@ -144,8 +142,6 @@
       PKGHANDLER_COMMAND="sudo yum install libXtst-devel libXt-devel libXrender-devel libXi-devel" ;;
     ccache)
       PKGHANDLER_COMMAND="sudo yum install ccache" ;;
-    elf)
-      PKGHANDLER_COMMAND="sudo yum install elfutils-libelf-devel" ;;
   esac
 }
 
--- a/common/doc/building.html	Fri Aug 18 18:39:35 2017 +0200
+++ b/common/doc/building.html	Mon Aug 21 12:08:03 2017 -0400
@@ -58,7 +58,6 @@
 <li><a href="#x11">X11</a></li>
 <li><a href="#alsa">ALSA</a></li>
 <li><a href="#libffi">libffi</a></li>
-<li><a href="#libelf">libelf</a></li>
 </ul></li>
 <li><a href="#other-tooling-requirements">Other Tooling Requirements</a><ul>
 <li><a href="#gnu-make">GNU Make</a></li>
@@ -469,13 +468,6 @@
 <li>To install on an rpm-based Linux, try running <code>sudo yum install libffi-devel</code>.</li>
 </ul>
 <p>Use <code>--with-libffi=&lt;path&gt;</code> if <code>configure</code> does not properly locate your libffi files.</p>
-<h3 id="libelf">libelf</h3>
-<p>libelf from the <a href="http://sourceware.org/elfutils">elfutils project</a> is required when building the AOT feature of Hotspot.</p>
-<ul>
-<li>To install on an apt-based Linux, try running <code>sudo apt-get install libelf-dev</code>.</li>
-<li>To install on an rpm-based Linux, try running <code>sudo yum install elfutils-libelf-devel</code>.</li>
-</ul>
-<p>Use <code>--with-libelf=&lt;path&gt;</code> if <code>configure</code> does not properly locate your libelf files.</p>
 <h2 id="other-tooling-requirements">Other Tooling Requirements</h2>
 <h3 id="gnu-make">GNU Make</h3>
 <p>OpenJDK requires <a href="http://www.gnu.org/software/make">GNU Make</a>. No other flavors of make are supported.</p>
@@ -537,7 +529,6 @@
 <li><code>--with-x=&lt;path&gt;</code> - Set the path to <a href="#x11">X11</a></li>
 <li><code>--with-alsa=&lt;path&gt;</code> - Set the path to <a href="#alsa">ALSA</a></li>
 <li><code>--with-libffi=&lt;path&gt;</code> - Set the path to <a href="#libffi">libffi</a></li>
-<li><code>--with-libelf=&lt;path&gt;</code> - Set the path to <a href="#libelf">libelf</a></li>
 <li><code>--with-jtreg=&lt;path&gt;</code> - Set the path to JTReg. See <a href="#running-tests">Running Tests</a></li>
 </ul>
 <p>Certain third-party libraries used by OpenJDK (libjpeg, giflib, libpng, lcms and zlib) are included in the OpenJDK repository. The default behavior of the OpenJDK build is to use this version of these libraries, but they might be replaced by an external version. To do so, specify <code>system</code> as the <code>&lt;source&gt;</code> option in these arguments. (The default is <code>bundled</code>).</p>
--- a/common/doc/building.md	Fri Aug 18 18:39:35 2017 +0200
+++ b/common/doc/building.md	Mon Aug 21 12:08:03 2017 -0400
@@ -648,19 +648,6 @@
 Use `--with-libffi=<path>` if `configure` does not properly locate your libffi
 files.
 
-### libelf
-
-libelf from the [elfutils project](http://sourceware.org/elfutils) is required
-when building the AOT feature of Hotspot.
-
-  * To install on an apt-based Linux, try running `sudo apt-get install
-    libelf-dev`.
-  * To install on an rpm-based Linux, try running `sudo yum install
-    elfutils-libelf-devel`.
-
-Use `--with-libelf=<path>` if `configure` does not properly locate your libelf
-files.
-
 ## Other Tooling Requirements
 
 ### GNU Make
@@ -813,7 +800,6 @@
   * `--with-x=<path>` - Set the path to [X11](#x11)
   * `--with-alsa=<path>` - Set the path to [ALSA](#alsa)
   * `--with-libffi=<path>` - Set the path to [libffi](#libffi)
-  * `--with-libelf=<path>` - Set the path to [libelf](#libelf)
   * `--with-jtreg=<path>` - Set the path to JTReg. See [Running Tests](
     #running-tests)
 
--- a/make/devkit/Tools.gmk	Fri Aug 18 18:39:35 2017 +0200
+++ b/make/devkit/Tools.gmk	Mon Aug 21 12:08:03 2017 -0400
@@ -83,8 +83,6 @@
     libXdmcp libXdmcp-devel \
     libXau libXau-devel \
     libgcc \
-    elfutils elfutils-libs elfutils-devel \
-    elfutils-libelf elfutils-libelf-devel \
     zlib zlib-devel \
     libffi libffi-devel